- name: Query the Fabric Port-Channels
  hosts: all
  connection: local
  gather_facts: False
  vars:
    display: False

  tasks:

    - name: Query Fabric Port-Channels
      include_role:
        name: aci_po
        tasks_from: port_channel.yml
    
    - name: Store Fabric Port-Channels
      set_fact:
        structured_data_po: "{{ aci_po_result['imdata'] | port_channel_filter }}"
      when:
        - aci_po_result is defined
      
    - name: Display Fabric Port-Channels
      debug:
        msg: "{{ structured_data_po }}"
      when:
        - structured_data_po is defined
        - display == True

    - name: Create/update the custom field with the response
      include_role:
        name: netbox_configuration
        tasks_from: create_custom_field.yml
      vars:
        uuid: "{{ awx_webhook_payload.data.custom_fields.Query_UUID }}"
        awx_response: "{{ structured_data_po }}"
      when:
        - structured_data_po is defined
        - awx_webhook_payload.data.custom_fields.Query_UUID is defined